package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B7;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B7Mapper {

    /**
     * 查看所有
     * @return
     */
    List<B7> selectAll();

    public List<B7> selectListByInfo(B7 b7);

    int insertOne(B7 b7);

    int examineB7(B7 b7);

    int delB7(B7 b7);

    int weekdelB7(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B7> selectB7ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B7> selectB7ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b7字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B7> list);
}
